### Method

# GLib Node children_foreach

#### Declaration [src]

    void
    g_node_children_foreach (
      GNode* node,
      GTraverseFlags flags,
      GNodeForeachFunc func,
      gpointer data
    )

#### Description [src]

Calls a function for each of the children of a `GNode`. Note that it doesn’t descend beneath the child nodes. `func` must not do anything that would modify the structure of the tree.

#### Parameters

`flags`

  Type: `GTraverseFlags`

  Which types of children are to be visited, one of `G_TRAVERSE_ALL`, `G_TRAVERSE_LEAVES` and `G_TRAVERSE_NON_LEAVES`.

`func`

  Type: `GNodeForeachFunc`

  The function to call for each visited node.

`data`

  Type: `gpointer`

  User data to pass to the function.

  The argument can be `NULL`.
  The data is owned by the caller of the method.